/* ========================================================================
 * PlantUML : a free UML diagram generator
 * ========================================================================
 *
 * Project Info:  http://plantuml.sourceforge.net
 *
 * This file is part of PlantUML.
 *
 * PlantUML is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PlantUML distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA.
 */
package net.sourceforge.plantuml.pstat.tick;

import java.util.ArrayList;
import java.util.List;

import net.sourceforge.plantuml.pstat.graph.Chart;
import net.sourceforge.plantuml.pstat.graph.ChartProducer;
import net.sourceforge.plantuml.pstat.graph.HistogramBuilder;
import net.sourceforge.plantuml.pstat.time.DateManager;

public class CounterSetInteger {

	private final List<Integer> imageGeneration = new ArrayList<Integer>();
	private final HistogramBuilder builder;

	public HistogramBuilder getHistogramBuilder() {
		return builder;
	}

	public Chart getChartImageGeneration(double height) {
		return new ChartProducer(imageGeneration).getChart(height);
	}

	public CounterSetInteger(DateManager dateManager, int histoSize) {
		builder = new HistogramBuilder(dateManager, histoSize);
	}

	public void increment(TickImageGeneration tick) {
		imageGeneration.add(tick.getDuration());
		builder.incKey(tick.getStartMinute() * 1000L * 60, 1);
	}

}
